Summary:	A console based Jabber client
Name:		freetalk
Version:	3.2
Release:	1%{?dist}
License:	GPLv3+
Group:		Applications/Internet
URL:		http://www.gnu.org/software/freetalk/
Source0:	http://sv.gnu.org/download/freetalk/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	words
Requires(post): info
Requires(preun): info

BuildRequires:	gettext
BuildRequires:	guile-devel
BuildRequires:	loudmouth-devel
BuildRequires:	readline-devel

%description
GNU Freetalk is a console based Jabber client. It features a readline interface
with completion of buddy names, commands, and even ordinary English words.
Freetalk is extensible, configurable, and scriptable through a Guile interface.

%prep
%setup -q

%build
%configure --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

# Move examples from /usr/share/doc/freetalk to RPM_BUILD_DIR.
# To be later listed against %doc.
rm -rf ./examples
mv $RPM_BUILD_ROOT%{_docdir}/%{name}/examples .

%find_lang %{name}

# Files containing shebangs need to have the executable bits.
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions/first-time-run.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
  %{_infodir}/dir >/dev/null 2>&1 || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%doc README
%doc examples
%doc %{_infodir}/%{name}.info*
%doc %{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/extensions

%changelog
* Fri Nov 21 2008 Matej Cepl <mcepl@redhat.com> 3.2-1
- Update to the new upstream release.

* Wed Sep 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.1-1
- Version bump to 0.32.
- open(2) problem fixed by upstream.

* Thu Feb 14 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.0-2
- Added 'Requires: words'.

* Sun Nov 24 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.0-1
- Initial build.
- Fixed sources to provide mode when using the O_CREAT flag in open(2).
